Subject: My dependent in China

From: [email-masked] (Mi Mi)
Date: Sat, 25 Sep 93 21:55:56 CDT

Q&A:
/   From: [email-masked] (Wei Lu)
/   Dear Mi Mi:
/
/	   Thank you very much for your help. I am glad to know from you 
/that I don't have to care about the time window. But still I wish that 
/you could tell me the reason when you have time. Is it true that I should 
/file I-824 under EB-3 or anything else?
/
/        By the way, I thank you so much for your contribution to lads. 
/Your work has been greatly appreciated. Good luck to your daughter. I 
/think she will be here since she has already got the visa.
/ 

The reason for this, is you have to wait for your approval notice before your
I-824 can be processed. When you get your approval notice, you are eligible to
apply both under FB-2 and EB-3. The former has no window problem, while the 
later has.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
% Mr. Mi Mi, Member of Lads-Net Committee.                    %
% To sign on/off Lads-Net News, pleas send an email to        %
%    [email-masked], with mailbody as:               %
%    sub lads-l Firstname Lastname, or signoff lads-l         %
% To post, send your message to [email-masked]           %
% To retrieve past packages, anonymous ftp at spike.rice.edu  %
%    at file /lads/9308lads.log                               %
% To sign our petition letter, please send your signatures to %
%    [email-masked], the prefered form is:                %
% Mr/Ms/Miss.Name,Number and Street,City,State,ZipCode,phone# %
%    Co-signed Spouse, Mr/Ms/Miss.Name,                       %
%    Co-signed Child,  Mr/Ms/Miss.Name                        %
% You are encouraged to send your own copies of the petition  %
%    letter to the U.S. officials. When you do, please drop   %
%    a line to [email-masked]                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%